apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rhys Ulerich <rhys.uler...@gmail.com>
Subject Incorrect apt-util-1.pc using --with-expat=builtin
Date Mon, 03 Mar 2014 19:10:01 GMT
I've noticed atop APR Utils 1.5.3 that when I configure using
--with-expat=builtin I see the following within the installed
${prefix}/lib/pkgconfig/apr-util-1.pc:
    Libs: -L${libdir} -laprutil-${APRUTIL_MAJOR_VERSION}
/g/g10/ulerich1/Build/apr-util-1.5.3/xml/expat/libexpat.la
while I'd expect to see
    Libs: -L${libdir} -laprutil-${APRUTIL_MAJOR_VERSION}  -lexpat
as the former build directory isn't guaranteed to exist after the
installation and ${prefix}/lib/libexpat.la and friends are installed
correctly.

A workaround is manually stitching up the installed pkg-config file.

Thanks,
Rhys

Mime
View raw message